<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    protected $table = 'agendamento.roles';
    
    protected $fillable = [
        'name', 'description',
    ];

    public function users()
    {
        return $this->belongsToMany(User::class, 'id');
    }

    public function permissions()
    {
        return $this->belongsToMany(Permission::class, 'id');
    }
}
